View Issue Details

IDProjectCategoryView StatusLast Update
0012786ScribusUser Interfacepublic2016-05-01 00:46
Reporterwilliam Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel 64 bitOSFedora LinuxOS Version20
Product Version1.5.0svn 
Target VersionFixed in Version1.5.0svn 
Summary0012786: [patch] Do not show the startup dialog when GUI is not requested
DescriptionThe --no-gui command line option combined with --python-script asks Scribus to run a python script and then exit with no user interaction. This makes it possible for other applications to script Scribus to create or print documents.
If the startup dialog is enabled by checking File -> Preferences -> User Interface -> Start Up -> Show Startup Dialog, Scribus might still require user interaction to close the dialog.
Juraj sent this patch to make --no-gui suppress the startup dialog, so you can have the startup dialog enabled in your preferences without causing problems with applications that script Scribus.
TagsNo tags attached.
PatchYes

Relationships

related to 0012572 closedcbradney [patch] Add a --python-script command line option to run a script and exit 

Activities

william

2014-10-22 01:00

updater  

0002-Do-not-show-startup-dialog-when-GUI-is-not-used.patch (830 bytes)
From 99b2aa5018c6cff147168d2f5cc86783bc86e6c5 Mon Sep 17 00:00:00 2001
From: Juraj Fedel <wtxnh-scribus@yahoo.com.au>
Date: Tue, 21 Oct 2014 18:43:15 +0200
Subject: [PATCH 2/2] Do not show startup dialog when GUI is not used

---
 scribus/scribuscore.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/scribus/scribuscore.cpp b/scribus/scribuscore.cpp
index 82274d2..824dea4 100644
--- a/scribus/scribuscore.cpp
+++ b/scribus/scribuscore.cpp
@@ -129,7 +129,8 @@ int ScribusCore::startGUI(bool showSplash, bool showFontInfo, bool showProfileIn
 		}
 		else
 		{
-			if (PrefsManager::instance()->appPrefs.uiPrefs.showStartupDialog)
+			if (PrefsManager::instance()->appPrefs.uiPrefs.showStartupDialog
+			    && usingGUI())
 				scribus->startUpDialog();
 			else
 				scribus->setFocus();
-- 
1.7.2.3

Issue History

Date Modified Username Field Change
2014-10-22 01:00 william New Issue
2014-10-22 01:00 william File Added: 0002-Do-not-show-startup-dialog-when-GUI-is-not-used.patch
2014-10-22 18:31 cbradney Status new => resolved
2014-10-22 18:31 cbradney Fixed in Version => 1.5.0svn
2014-10-22 18:31 cbradney Resolution open => fixed
2014-10-22 18:31 cbradney Assigned To => cbradney
2014-10-24 22:55 Kunda Patch => Yes
2014-10-27 18:48 cbradney Status resolved => closed
2016-05-01 00:46 Kunda Relationship added related to 0012572